TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

NewtonPolygon ( elt-alg^pol f ) -> newtgon

### Optional Arguments

SwapAxes | elt-alg^boo |  |
Faces | string |  | "All" or "Inner" or "Lower"

### Description

<shortdoc> The newton polygon for the polynomial f over a local ring or a Puiseux Field. </shortdoc>

### Examples

x_pr := pAdicRing(5, 20); x_pol := PolynomialAlgebra(x_pr); x_x := x_pol.1; NewtonPolygon(x_x^2 - 15);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack